# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    download_url = "https://www.xm1math.net/algobox/algoboxwin32_install.exe"
    latest_bin = "algoboxwin32_install.exe"
    fixed_version = "1.0.2"

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
    else:
        print("Binary is present: %s" % latest_bin)

    # Changing version of the package
    control.set_software_version(fixed_version)
    control.save_control_to_wapt()

    # Validating or not update-package-sources
    return result
